Bug 2009210 - github.com can not be resolved inside pods where cluster is running on openstack.
Summary: github.com can not be resolved inside pods where cluster is running on openst...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: DNS
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.9.z
Assignee: Miheer Salunke
QA Contact: Shudi Li
URL:
Whiteboard:
Depends On: 1991067
Blocks: 2016275
TreeView+ depends on / blocked
 
Reported: 2021-09-30 07:47 UTC by OpenShift BugZilla Robot
Modified: 2021-11-01 13:44 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-01 13:44:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2784 0 None open [release-4.9] Bug 2009210: [on-prem] Set coredns bufsize to 512 2021-10-06 16:54:01 UTC
Red Hat Product Errata RHBA-2021:4005 0 None None None 2021-11-01 13:44:50 UTC

Comment 6 Shudi Li 2021-10-26 08:22:20 UTC
Verified it with 4.9.0-0.nightly-2021-10-25-215312 on IPI on OpenStack and passed.

% oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.9.0-0.nightly-2021-10-25-215312   True        False         3h13m   Cluster version is 4.9.0-0.nightly-2021-10-25-215312
% 

2. check bufsize in all the nodes, which is 512 as expected.
% oc debug node/hongli-osp-77mqb-worker-0-4wb68 
Starting pod/hongli-osp-77mqb-worker-0-4wb68-debug ...
To use host binaries, run `chroot /host`
Pod IP: 192.168.1.64
If you don't see a command prompt, try pressing enter.
sh-4.4# chroot /host
sh-4.4# cat /etc/coredns/Corefile 
. {
    errors
    bufsize 512
    health :18080
    forward . 10.11.142.1 {
        policy sequential
    }
    cache 30
    reload
...
<-----snip----->
sh-4.4#

%

3. Can carry out dns query of github.com successfully in another pod
% oc rsh centos-pod
sh-4.4# dig  github.com

; <<>> DiG 9.11.13-RedHat-9.11.13-6.el8_2.1 <<>> github.com
;; global options: +cmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 43009
;; flags: qr rd ra; QUERY: 1, ANSWER: 1, AUTHORITY: 0, ADDITIONAL: 1

;; OPT PSEUDOSECTION:
; EDNS: version: 0, flags:; udp: 512
; COOKIE: 26b11204064b3a73 (echoed)
;; QUESTION SECTION:
;github.com.			IN	A

;; ANSWER SECTION:
github.com.		30	IN	A	140.82.114.3

;; Query time: 6 msec
;; SERVER: 172.30.0.10#53(172.30.0.10)
;; WHEN: Tue Oct 26 07:30:37 UTC 2021
;; MSG SIZE  rcvd: 77

sh-4.4# 

4. check the log from coredns-hongli-osp-77mqb-master-0
% oc -n openshift-openstack-infra logs coredns-hongli-osp-77mqb-master-0  -c coredns
.:53
.:53
[INFO] plugin/reload: Running configuration MD5 = 87d5bf283029acbfab5b6ea67554f3d7
CoreDNS-1.8.4
linux/amd64, go1.16.6, 
[INFO] Reloading
[INFO] plugin/reload: Running configuration MD5 = 8227ce1dd8a14df0a611e511fdce7c7f
[INFO] Reloading complete
[INFO] Reloading
[INFO] plugin/reload: Running configuration MD5 = b799517340ad05793b84d6dd28800c31
[INFO] Reloading complete
[INFO] Reloading
[INFO] plugin/reload: Running configuration MD5 = 7bfbc4c20f6d73534fa654d90a7e3ca1
[INFO] Reloading complete
[INFO] Reloading
[INFO] plugin/reload: Running configuration MD5 = d0c953b676d0e1209574da31aef5f242
[INFO] Reloading complete
[INFO] Reloading
[INFO] plugin/reload: Running configuration MD5 = fc41c39ccf71c12a8d7e5d0621be910b
[INFO] Reloading complete
[ERROR] plugin/errors: 2 github.com. A: read udp 192.168.3.226:48367->10.11.142.1:53: i/o timeout
[ERROR] plugin/errors: 2 github.com. A: read udp 192.168.3.226:40662->10.11.142.1:53: i/o timeout
[ERROR] plugin/errors: 2 github.com. A: read udp 192.168.3.226:32876->10.11.142.1:53: i/o timeout
[ERROR] plugin/errors: 2 github.com. A: read udp 192.168.3.226:49915->10.11.142.1:53: i/o timeout
[ERROR] plugin/errors: 2 github.com. A: read udp 192.168.3.226:38792->10.11.142.1:53: i/o timeout
[ERROR] plugin/errors: 2 github.com. A: read udp 192.168.3.226:47832->10.11.142.1:53: i/o timeout
[ERROR] plugin/errors: 2 github.com. A: read udp 192.168.3.226:59467->10.11.142.1:53: i/o timeout
[ERROR] plugin/errors: 2 github.com. A: read udp 192.168.3.226:56014->10.11.142.1:53: i/o timeout
[ERROR] plugin/errors: 2 github.com. A: read udp 192.168.3.226:44346->10.11.142.1:53: i/o timeout
[ERROR] plugin/errors: 2 github.com. A: read udp 192.168.3.226:57664->10.11.142.1:53: i/o timeout
zsh: command not found: .:53
%

Comment 9 errata-xmlrpc 2021-11-01 13:44:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.9.5 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:4005


Note You need to log in before you can comment on or make changes to this bug.